#!/usr/bin/ruby

require 'gettext'
require 'gtk'

class LocalizedWindow < Gtk::Window
	include GetText

  def initialize
    super
    bindtextdomain("hellogtk", "locale") 
		signal_connect('delete-event') do
  		Gtk.main_quit
		end

    add(Gtk::Label.new(_("hello, gtk world")))
  end
end

LocalizedWindow.new.show_all

Gtk.main
